Bug 1262642 - Review Request: python-formats - Support multiple formats with ease
Review Request: python-formats - Support multiple formats with ease
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Julien Enselme
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-13 15:54 EDT by René Ribaud
Modified: 2015-10-31 22:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-14 02:56:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jujens: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description René Ribaud 2015-09-13 15:54:15 EDT
Spec URL: http://uggla.free.fr/rpmbuild/SPECS/python-formats.spec
SRPM URL: http://uggla.free.fr/rpmbuild/SRPMS/python-formats-0.1.1-1.fc22.src.rpm
Description: Support multiple formats with ease.
Fedora Account System Username: uggla
Comment 1 Julien Enselme 2015-09-26 06:05:26 EDT
- I would add "Formats will provide you with a consistent API to parse and compose data." to the description so the user will more easily know what this is about.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in /tmp/1262642-python-
  formats/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL
This is only the licence file, not blocking.


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 5 files have unknown license. Detailed
     output of licensecheck in /tmp/1262642-python-formats/licensecheck.txt
[X]: License file installed when any subpackage combination is installed.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-formats , python3-formats
[?]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-formats-0.1.1-1.fc24.noarch.rpm
          python3-formats-0.1.1-1.fc24.noarch.rpm
          python-formats-0.1.1-1.fc24.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python2-formats (rpmlib, GLIBC filtered):
    python(abi)

python3-formats (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python2-formats:
    python-formats
    python2-formats

python3-formats:
    python3-formats



Source checksums
----------------
http://pypi.python.org/packages/source/f/formats/formats-0.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : feb7e3d268d7a4182872f739f7a1af833032c624ddd3121741c47ac37b94385d
  CHECKSUM(SHA256) upstream package : feb7e3d268d7a4182872f739f7a1af833032c624ddd3121741c47ac37b94385d
https://github.com/redodo/formats/blob/master/LICENSE :
  CHECKSUM(SHA256) this package     : aad0e5568519088aa0ee343c4fb7b5115c9150d282582ff7f36b4d2b7cd0b2be
  CHECKSUM(SHA256) upstream package : 02fa872a397ed2e355ffea0c3ea79ce2f7cd50eb7042a67dff0ad9ce0f12b91d
diff -r also reports differences


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1262642
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 René Ribaud 2015-10-01 03:35:14 EDT
Hi Julien,

Thanks for the review.
I will update the description according to your advice.
Comment 3 René Ribaud 2015-10-01 03:39:26 EDT
New Package SCM Request
=======================
Package Name: python-formats
Short Description: Support multiple formats with ease
Upstream URL: http://pypi.python.org/pypi/formats
Owners: uggla
Branches: f22 f23 epel7
InitialCC:
Comment 4 Gwyn Ciesla 2015-10-01 08:56:28 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2015-10-01 14:16:36 EDT
python-formats-0.1.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a6bfa13ba8
Comment 6 Fedora Update System 2015-10-01 17:44:28 EDT
python-formats-0.1.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-95c138eeeb
Comment 7 Fedora Update System 2015-10-03 21:36:42 EDT
python-formats-0.1.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-formats'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-95c138eeeb
Comment 8 Fedora Update System 2015-10-03 21:53:03 EDT
python-formats-0.1.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-formats'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a6bfa13ba8
Comment 9 Fedora Update System 2015-10-14 02:56:31 EDT
python-formats-0.1.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-10-31 22:47:34 EDT
python-formats-0.1.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.